<div align="start">
  <h1>Hi, I'm Teachhay. 👋</h1>
</div>

<!-- ![Lurkers](https://visitor-badge.glitch.me/badge?page_id=teachhaylim.teachhaylim) -->
[![Facebook Badge](https://img.shields.io/badge/-Facebook-4267B2?logo=facebook&logoColor=white)](https://www.facebook.com/TeachhayLim12)
[![Linkedin Badge](https://img.shields.io/badge/-LinkedIn-0e76a8?style=flat-square&logo=Linkedin&logoColor=white)](https://www.linkedin.com/in/teachhay-lim-840372214/)
[![Telegram Badge](https://img.shields.io/badge/-Telegram-229ED9?style=flat-square&logo=Telegram&logoColor=white)](https://t.me/LycoReco12)
[![Portfolio Badge](https://img.shields.io/badge/-Portfolio-668F80?style=flat-square&logo=gnometerminal&logoColor=white)](https://teachhaylim.dev/)

## 🧑 About Me

- 👩‍💻 I’m currently working on something cool
- 📫 Reach me at: <info@teachhaylim.dev>
- 💬 Ask me about anything, I am happy to help
- 😁 Resourceful but Stubborn as hell
- ♑ Capricorn by trait
<!-- 
## 🎉 Fun facts

- 💻 A JavaScript, Flutter & Dart enthusiast
- ♑ Capricorn by trait -->

---

## 📈 Stats and Metrics

<p>
  <img height="180em" src="https://github-readme-stats.vercel.app/api?username=teachhaylim&show_icons=true&hide_border=true&count_private=true&include_all_commits=true&theme=graywhite"/>

  <img height="180em" src="https://github-readme-stats.vercel.app/api/top-langs/?username=teachhaylim&exclude_repo=KNN-Image-Classification&show_icons=true&hide_border=true&layout=compact&langs_count=8"/>
</p>

## WakaTime Stats

<!--START_SECTION:waka-->

```txt
Kotlin                 6 hrs 12 mins   █████████████████░░░░░░░░   68.13 %
Groovy                 1 hr 10 mins    ███▒░░░░░░░░░░░░░░░░░░░░░   12.84 %
YAML                   41 mins         ██░░░░░░░░░░░░░░░░░░░░░░░   07.61 %
Gradle                 29 mins         █▒░░░░░░░░░░░░░░░░░░░░░░░   05.39 %
XML                    20 mins         █░░░░░░░░░░░░░░░░░░░░░░░░   03.82 %
```

<!--END_SECTION:waka-->

## Spotify

<a href="https://data-card-for-spotify.herokuapp.com/card?user_id=pyutugroo2wq770ysj6wc9xo1">
  <img src="https://data-card-for-spotify.herokuapp.com/api/card?user_id=pyutugroo2wq770ysj6wc9xo1" alt="Data Card for Spotify">
</a>

<!-- <a href="https://github.com/anuraghazra/github-readme-stats">
  <img align="center" src="https://github-readme-stats.vercel.app/api/pin/?username=anuraghazra&repo=github-readme-stats" />
</a>
<a href="https://github.com/anuraghazra/convoychat">
  <img align="center" src="https://github-readme-stats.vercel.app/api/pin/?username=anuraghazra&repo=convoychat" />
</a> -->

<!-- ![Teachhay's wakatime stats](https://github-readme-stats.vercel.app/api/wakatime?username=shadowgmr) -->

<!-- ## 🛡️ My GitHub Stats -->

<!-- ![My github stats](https://github-readme-stats.vercel.app/api?username=teachhaylim&show_icons=true&hide_border=true&&count_private=true&include_all_commits=true) -->

<!-- ## 👩‍💻 Most used languages -->

<!-- ![Most used languages](https://github-readme-stats.vercel.app/api/top-langs/?username=teachhaylim&exclude_repo=KNN-Image-Classification&show_icons=true&hide_border=true&layout=compact&langs_count=8) -->

<!-- ## 🚀 Published projects -->
